# Sample "plot" Script for pxWorks
# Author: cloudcell

# Starting Up ------------------------------------------------------------------
# require(lubridate)
# set working directory to the directory of the script:
message(getwd()) # shows current working directory

# the environment creates this file ("paths.meta")
paths_to_get_input_data <- read.delim(file="paths.meta", header = F,as.is = T)

input1 <- read.csv(file=paths_to_get_input_data[1,])
# input2 <- read.csv(file=paths_to_get_input_data[2,])
# ------------------------------------------------------------------------------



# dev.new()
# X11()
# plot(input1)
# output <- input1$x * input2$x

n <- tempfile(pattern = "file", tmpdir = "../output.graphics", fileext = ".png")

png("tmp.graphics.png") 
plot(input1, main=date())
print("done")
dev.off()
# browseURL("graphics.png") 




# Saving Work ------------------------------------------------------------------
file.rename("tmp.graphics.png",n)
message("Done.")
# ------------------------------------------------------------------------------

